package com.lz.modules.third.entity;
import lombok.Data;
import java.util.Date;
/**
* <p>
* 菜单权限表
* </p>*第三方应用配置表
* @author quyixiao
* @since 2020-08-20
*/


@Data
public class ThirdAppConfigReq implements java.io.Serializable {
  
    private int page = 1;
    private int rows = 10;
    private String sort;
    private String order;
    //
    private Long id;
    //
    private Integer isDelete;
    //
    private Date gmtCreate;
    //
    private Date gmtModified;
    //AppId
    private Long appId;
    //AppKey
    private String appKey;
    //AppSecret
    private String appSecret;
    //在第三方中的应用名称
    private String appName;
    //第三方App类型0表示h5 1表示小程序
    private Integer appType;
    //第三方app名称：如：钉钉，微信
    private String thirdAppName;
    //程序入口，如果有
    private String appUrl;
    //企业的钉钉corpId
    private Long corpId;
    //备注说明
    private String remark;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     *  
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     *  
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     *  
     * @return
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }
    /**
     *  
     * @param gmtCreate
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    /**
     *  
     * @return
     */
    public Date getGmtModified() {
        return gmtModified;
    }
    /**
     *  
     * @param gmtModified
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    /**
     * AppId 
     * @return
     */
    public Long getAppId() {
        return appId;
    }
    /**
     * AppId 
     * @param appId
     */
    public void setAppId(Long appId) {
        this.appId = appId;
    }

    /**
     * AppKey 
     * @return
     */
    public String getAppKey() {
        return appKey;
    }
    /**
     * AppKey 
     * @param appKey
     */
    public void setAppKey(String appKey) {
        this.appKey = appKey;
    }

    /**
     * AppSecret 
     * @return
     */
    public String getAppSecret() {
        return appSecret;
    }
    /**
     * AppSecret 
     * @param appSecret
     */
    public void setAppSecret(String appSecret) {
        this.appSecret = appSecret;
    }

    /**
     * 在第三方中的应用名称 
     * @return
     */
    public String getAppName() {
        return appName;
    }
    /**
     * 在第三方中的应用名称 
     * @param appName
     */
    public void setAppName(String appName) {
        this.appName = appName;
    }

    /**
     * 第三方App类型0表示h5 1表示小程序 
     * @return
     */
    public Integer getAppType() {
        return appType;
    }
    /**
     * 第三方App类型0表示h5 1表示小程序 
     * @param appType
     */
    public void setAppType(Integer appType) {
        this.appType = appType;
    }

    /**
     * 第三方app名称：如：钉钉，微信 
     * @return
     */
    public String getThirdAppName() {
        return thirdAppName;
    }
    /**
     * 第三方app名称：如：钉钉，微信 
     * @param thirdAppName
     */
    public void setThirdAppName(String thirdAppName) {
        this.thirdAppName = thirdAppName;
    }

    /**
     * 程序入口，如果有 
     * @return
     */
    public String getAppUrl() {
        return appUrl;
    }
    /**
     * 程序入口，如果有 
     * @param appUrl
     */
    public void setAppUrl(String appUrl) {
        this.appUrl = appUrl;
    }

    /**
     * 企业的钉钉corpId 
     * @return
     */
    public Long getCorpId() {
        return corpId;
    }
    /**
     * 企业的钉钉corpId 
     * @param corpId
     */
    public void setCorpId(Long corpId) {
        this.corpId = corpId;
    }

    /**
     * 备注说明 
     * @return
     */
    public String getRemark() {
        return remark;
    }
    /**
     * 备注说明 
     * @param remark
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return "ThirdAppConfig{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",gmtCreate=" + gmtCreate +
                ",gmtModified=" + gmtModified +
                ",appId=" + appId +
                ",appKey=" + appKey +
                ",appSecret=" + appSecret +
                ",appName=" + appName +
                ",appType=" + appType +
                ",thirdAppName=" + thirdAppName +
                ",appUrl=" + appUrl +
                ",corpId=" + corpId +
                ",remark=" + remark +
                "}";
    }
}